cancel
Showing results for 
Search instead for 
Did you mean: 

Head's Up! Site migration is underway. Phase 2: migrate recent content

Is GraphDataScience compatible with latest python driver 5.1?

andy_hegedus
Graph Fellow

Installed the latest python version and upgraded graphdatascience to version 1.4.

I can no longer make a connection to the database as previously down.

from graphdatascience import GraphDataScience
gds = GraphDataScience("bolt://localhost:7687", auth=("***","****"))
Failed to establish connection to ResolvedIPv4Address(('127.0.0.1', 7687)) (reason [Errno 61] Connection refused)

 I have also tried

from graphdatascience import GraphDataScience
gds = GraphDataScience("neo4j://localhost:7687", auth=("***","****"))
UnableToConnectError: Unable to retrieve routing information

 

Suggestions for resolution?

Andy 

1 REPLY 1

andy_hegedus
Graph Fellow

Did a quick test.  I noticed that the Neo4J desktop browser used port 11003.  If I use that port number with the bolt protocol I can connect. I would not like to do that because I often have the Neo4J browser open as part of my development set up.

 

Andy